Payment Refund API

This API is used to do payment refund for Direct Debit.

Service Code: 58

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
string
required
length between 32 and 32

Original transaction identifier from the partner system. Use the partnerReferenceNo value received in the PAYMENT-HOST-TO-HOST API.

string
required
length between 32 and 32

Reference number of the original transaction. Use the referenceNo value received in the PAYMENT-HOST-TO-HOST API response.

string
required
length between 6 and 6

This field is a 6 char merchant identifier that is unique per each merchant. The exact value is disclosed to each merchant separately.

string
required
length ≤ 64

Refund identifier provided by the client or partner.

refundAmount
object
required

Refund amount.

additionalInfo
object

Payment Refund additional info.

Headers
string
enum
required
length between 16 and 16

Represents the content type of the received data (e.g. application/json)

Allowed:
string
required

Represents the access_token of a request; string starts with the keyword "Bearer " followed by the access_token.

string
required

Represents the customer_access_token of a request; string starts with the keyword "Bearer " followed by the B2B2C Token. This is the access_token generated in the ACCESS-TOKEN B2B2C API.

string
required
length between 24 and 27

Client's current local time in yyyy-MM-ddTHH:mm:ssTZD format.

string
required

Represents signature of a request. Symmetric signature: HMAC_SHA512(clientSecret, stringToSign).

stringToSign = HTTPMethod +":"+ URLPath +":"+ AccessToken +":"+ Lowercase(HexEncode(SHA-256(minify(RequestBody))))+":" + X-TIMESTAMP

string
required
length between 6 and 6

This field is a 6 char merchant identifier that is unique per each merchant. The exact value is disclosed to each merchant separately.

string
required
length between 32 and 32

Alphanumeric String. Unique identifier provided by the merchant for each API request. The value must be unique per request attempt and contain 32 alphanumeric characters.

string
required
length between 5 and 5

Numeric String. PJP's channel id. Device identification on which the API services is currently being accessed by the end user (customer). Must be the same in one flow.

Responses

Callback
Language
Credentials
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json